## filters-nonfree 2.2

=== Makefile ===
# Various dialect translators.

LEX	 = flex

ALL	 = cockney jive ken newspeak nyc
OTHER	 = ky00te

all:	$(OTHER) $(ALL)

install:	$(ALL) $(OTHER)
	install -d $(PREFIX)/usr/games
	install -s $(ALL) $(OTHER) $(PREFIX)/usr/games/
	install -d $(PREFIX)/usr/man/man6
	install -m 0644 filters-nonfree.6 $(PREFIX)/usr/man/man6
	cd $(PREFIX)/usr/man/man6 && \
		$(foreach prog,$(ALL) $(OTHER),ln -s filters-nonfree.6 $(prog).6;)

samples:	$(ALL) $(OTHER)
	echo $(ALL) $(OTHER) |xargs -n 1 sh makesample.sh

clean:
	$(RM) -f core *.o *~ $(ALL) *.c SAMPLES
	cd ky00te.dir; make clean	

.SUFFIXES: .l

.l:
	$(RM) $*.c
	$(LEX) -t $< > $*.c
	$(CC) -O -o $@ $*.c -lfl -g
#	strip $@
	$(RM) $*.c

.SUFFIXES: .dir

.dir:	
	cd $<; make

=== debian/changelog ===
filters-nonfree (2.2) unstable; urgency=low

  * Orphaned the package, I don't maintain non-free things anymore.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 14:55:52 -0800

filters-nonfree (2.1) unstable; urgency=low

  * 1984, not 1994 (#34184)

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Mar 1999 18:00:22 -0800

filters-nonfree (2.0) unstable; urgency=low

  * New package with only the non-free filters in it. #32333

 -- Joey Hess <joeyh@master.debian.org>  Sun, 24 Jan 1999 23:43:01 -0800

filters (1.8) unstable; urgency=low

  * Added jibberish meta-filter by Raul Miller <rdm@test.legislate.com>.
    (#24677)

 -- Joey Hess <joeyh@master.debian.org>  Fri,  4 Dec 1998 15:18:09 -0800

filters (1.7) unstable; urgency=low

  * Renamed mb to marc-barrett to eliminate namespace pollution.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 15 Apr 1998 00:23:38 -0700

filters (1.6) unstable; urgency=low

  * Added eleet filter, thanks to Jeremy Worrells <jworrell@priacc.com>.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Mar 1998 11:41:29 -0800

filters (1.5) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 13:38:55 -0800

filters (1.4) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  7 Feb 1998 19:38:35 -0800

filters (1.3) unstable; urgency=low

  * Libc6.
  * Added man pages. #11318

 -- Joey Hess <joeyh@master.debian.org>  Wed, 16 Jul 1997 13:31:07 -0400

filters (1.2) frozen unstable; urgency=low

  * Fixed bug #8329 (buck segfaulted if it encountered C[aou] or R[aeiou] in
    input.)
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 8 Apr 1997 20:59:12 -0400

filters (1.1) unstable; urgency=low

  * Changed version number to 1.1, because there was some confusion if this
    was a debian-only package. It is, so I've removed the debian revision
    number.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 20:35:51 -0500

filters (1.0-2) unstable; urgency=low

  * New email address.
  * Use debmake.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 15:40:55 -0500

filters (1.0-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 28 Sep 1996 00:55:40 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: filters-nonfree
Section: non-free/games
Priority: optional
Maintainer: Debian QA Group <debian-qa@lists.debian.org>
Standards-Version: 2.5.0.0

Package: filters-nonfree
Architecture: any
Suggests: filters
Depends: ${shlibs:Depends}
Description: a collection of non-free filters
 This is a collection of filters to do all sorts of strange things to text.
 This includes a Newspeak filter a la 1984, and a Cockney english filter.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) samples
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -i clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/tmp install
	dh_installdocs ky00te.dir/README.ky00te SAMPLES
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
